Mailing list maintenance window - 2015-06-02 17:00 UTC to 19:00 UTC
Closed, ResolvedPublic

Description

Mailing list maintenance window - 2015-06-02 17:00 UTC to 19:00 UTC

I'll be taking the mailing list server offline for a (hopefully) short window.

At the time of this announcement, this will be simply to process a single request. There is a good chance another request or two will be appended to this one before the actual window arrives.

The downtime will start on 2015-06-02 @ 17:00 UTC and end at 19:00 UTC.

Current Tasks:

T100832 - replace lists.wikimedia.org sha1 certificate with sha256
https://phabricator.wikimedia.org/T100832

T100707 - Rename pywikipedia-l to pywikibot
https://phabricator.wikimedia.org/T100707

Some may recall the last mailman maintenance window wasn't without incident: https://wikitech.wikimedia.org/wiki/Incident_documentation/20150519-Mailman This has been taken into account, and further testing of changes and mailman both before and after maintenance have been expanded.

During this time, all mailing list traffic, as well as online archives, may become unavailable. Once the window has ended, all mail routing should resume normally, and any messages sent during the window will then be delivered accordingly.

All associated tasks and changes are linked from https://phabricator.wikimedia.org/T100711.

This mail has (initially) been send to the lists administrators list and wikitech-l. Please feel free to forward to any other lists or parties that would need to know about this maintenance window.

RobH created this task.May 28 2015, 9:45 PM
RobH updated the task description. (Show Details)
RobH raised the priority of this task from to Needs Triage.
RobH claimed this task.
RobH added projects: acl*sre-team, Roadmap.
RobH added a subscriber: RobH.
Restricted Application added a project: Notice. · View Herald TranscriptMay 28 2015, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH updated the task description. (Show Details)May 28 2015, 9:45 PM
RobH set Security to None.
RobH updated the task description. (Show Details)
RobH moved this task from Unscheduled to June 1-5 on the Roadmap board.May 28 2015, 9:48 PM
RobH triaged this task as High priority.May 28 2015, 9:56 PM
RobH added a subscriber: greg.May 28 2015, 10:01 PM
gpaumier moved this task from Backlog to Archive on the Notice board.May 29 2015, 8:22 PM
gpaumier added a project: User-notice.
gpaumier moved this task from To Triage to Announce in next Tech/News on the User-notice board.
RobH closed this task as Resolved.Jun 2 2015, 6:54 PM

All items on this task have been completed, resolving task.